=== doc/CMakeLists.txt ===
SET(DOC_DIRS en)
ADD_DOCS(kmidimon ${DOC_DIRS})
