=== po/CMakeLists.txt ===
SET(PO_FILES es.po)
ADD_TRANSLATIONS(kmidimon ${PO_FILES})
