=== aseqmm/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/include
)

SET(aseqmm_qtobject_SRCS
    include/alsatimer.h
    include/client.h
    include/event.h
    include/playthread.h
    include/port.h
    include/queue.h
    include/qsmf.h
)

SET(aseqmm_HEADERS
    include/alsatimer.h
    include/client.h
    include/commons.h
    include/event.h
    include/playthread.h
    include/port.h
    include/qsmf.h
    include/queue.h
    include/subscription.h
)

SET(aseqmm_SRCS
    src/alsatimer.cpp
    src/client.cpp
    src/event.cpp
    src/playthread.cpp
    src/port.cpp
    src/qsmf.cpp
    src/queue.cpp
    src/subscription.cpp
)

QT4_WRAP_CPP(aseqmm_moc_SRCS ${aseqmm_qtobject_SRCS})

ADD_LIBRARY(aseqmm 
    ${aseqmm_moc_SRCS}
    ${aseqmm_SRCS} 
    ${aseqmm_HEADERS} 
)

TARGET_LINK_LIBRARIES(aseqmm
    ${QT_LIBRARIES}
    ${ALSA_LIBS}
)
