## kmidimon 0.7.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,13 +24,13 @@
 
 SET (VERSION_MAJOR "0")
 SET (VERSION_MINOR "7")
-SET (VERSION_PATCH "3")
+SET (VERSION_PATCH "4")
 SET (VERSION_SUFFIX "")
 SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX})
 ADD_DEFINITIONS(-D'VERSION="${VERSION}"')
 
 OPTION(ENABLE_PCH       "Enable precompiled headers" OFF)
-OPTION(STATIC_DRUMSTICK "Build drumstick static library" ON)
+OPTION(STATIC_DRUMSTICK "Build drumstick static library" OFF)
 
 FIND_PACKAGE(Qt4 REQUIRED)
 FIND_PACKAGE(KDE4 REQUIRED)
@@ -87,8 +87,8 @@
     ADD_SUBDIRECTORY(drumstick)
 ELSE(STATIC_DRUMSTICK)
     SET(BUILD_SHARED_LIBS ON)
-    PKG_CHECK_MODULES(DRUMSTICK-FILE REQUIRED drumstick-file>=0.3)
-    PKG_CHECK_MODULES(DRUMSTICK-ALSA REQUIRED drumstick-alsa>=0.3)
+    PKG_CHECK_MODULES(DRUMSTICK-FILE REQUIRED drumstick-file>=0.5)
+    PKG_CHECK_MODULES(DRUMSTICK-ALSA REQUIRED drumstick-alsa>=0.5)
     IF(DRUMSTICK-FILE_FOUND AND DRUMSTICK-ALSA_FOUND)
        SET( DRUMSTICK_LIBS ${DRUMSTICK-FILE_LIBRARIES} 
                            ${DRUMSTICK-ALSA_LIBRARIES})
