=== drumstick/CMakeLists.txt ===
--- 
+++ 
@@ -2,30 +2,35 @@
     ${CMAKE_CURRENT_BINARY_DIR}
     ${CMAKE_CURRENT_SOURCE_DIR}/include
 )
+
+ADD_DEFINITIONS(-DRTKIT_SUPPORT)
 
 # drumstick-file library
 
 SET(drumstick-file_QTOBJ_SRCS
     include/qsmf.h
     include/qwrk.h
+    include/qove.h
 )
 
 SET(drumstick-file_HEADERS
     include/qsmf.h
     include/qwrk.h
+    include/qove.h
 )
 
 SET(drumstick-file_SRCS
     src/qsmf.cpp
     src/qwrk.cpp
+    src/qove.cpp
 )
 
 QT4_WRAP_CPP(drumstick-file_MOC_SRCS ${drumstick-file_QTOBJ_SRCS})
 
 ADD_LIBRARY(drumstick-file
     ${drumstick-file_MOC_SRCS}
-    ${drumstick-file_SRCS} 
-    ${drumstick-file_HEADERS} 
+    ${drumstick-file_SRCS}
+    ${drumstick-file_HEADERS}
 )
 
 SET_TARGET_PROPERTIES(drumstick-file PROPERTIES COMPILE_FLAGS -fPIC)
@@ -46,6 +51,7 @@
 )
 
 SET(drumstick-alsa_HEADERS
+    include/macros.h
     include/alsaclient.h
     include/alsaevent.h
     include/alsaport.h
