=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # KMidimon - ALSA Sequencer based MIDI Monitor
-# Copyright (C) 2005-2009 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2005-2010 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -26,12 +26,12 @@
 
 INCLUDE_DIRECTORIES(
     ${ALSA_INC_DIR}
-    ${ASEQMM_INC_DIR}
+    ${DRUMSTICK_INC_DIR}
 )
 
 LINK_DIRECTORIES(
     ${ALSA_LIB_DIR}
-    ${ASEQMM_LIB_DIR}
+    ${DRUMSTICK_LIB_DIR}
 )
 
 SET(kmidimon_SRCS 
@@ -75,7 +75,7 @@
     ${KDE4_KDEUI_LIBS}
     ${KDE4_KIO_LIBS}
     ${ALSA_LIBS}
-    ${ASEQMM_LIBS}
+    ${DRUMSTICK_LIBS}
 )
 
 INSTALL(TARGETS kmidimon RUNTIME DESTINATION ${BIN_INSTALL_DIR})
