=== debian/changelog ===
kmidimon (0.7.4-1) experimental; urgency=low

  * Update homepage
  * Imported Upstream version 0.7.4
  * Use external libdrumstick.
  * Drop obsolete patches.

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 22 Nov 2010 16:47:52 +0100

kmidimon (0.7.3-2) unstable; urgency=low

  * Add drumstick patch to fix compilation errors on arm and mips.
  * Add drumstick patch to fix problems with ALSA seq.

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 17 May 2010 12:17:40 +0200

kmidimon (0.7.3-1) unstable; urgency=low

  * New upstream version

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Thu, 24 Dec 2009 17:59:55 +0100

kmidimon (0.7.1-1) unstable; urgency=low

  * New Upstream Version

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 10 Aug 2009 13:26:16 +0200

kmidimon (0.7.0-1) unstable; urgency=low

  [Reinhard Tartler]
  * bump debhelper compat level to 7
  * cleanups in debian/rules and debian/control
  
  [Adrian Knoth]
  * New Upstream Version (Closes: #534205)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sat, 27 Jun 2009 15:42:50 +0200

kmidimon (0.5.0-2) unstable; urgency=low

  * Mention the FLD license in debian/copyright

 -- Free Ekanayaka <freee@debian.org>  Sun, 22 Apr 2007 19:57:16 +0200

kmidimon (0.5.0-1) unstable; urgency=low

  * Initial release (Closes: #416491)

 -- Free Ekanayaka <freee@debian.org>  Fri,  2 Feb 2007 00:00:17 +0100
