=== debian/control ===
Source: kmidimon
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
	   Adrian Knoth <adi@drcomp.erfurt.thur.de>
Build-Depends: debhelper (>= 7),
 cdbs,
 cmake,
 pkg-config,
 kdelibs5-dev,
 libdrumstick-dev,
 libasound2-dev
Standards-Version: 3.9.1
DM-Upload-Allowed: yes
Homepage: http://kmidimon.sourceforge.net
Vcs-Git: git://git.debian.org/git/pkg-multimedia/kmidimon.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/kmidimon.git;a=summary

Package: kmidimon
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: MIDI monitor using ALSA sequencer and KDE user interface
 KMidimon can monitor a MIDI data stream, in order to diagnose
 a malfunctioning piece of equipment or to examine the contents
 of a MIDI sequence during playback.
