=== doc/en/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # KMidimon - ALSA Sequencer based MIDI Monitor
-# Copyright (C) 2005-2009 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2005-2013 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -16,7 +16,9 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 # MA 02110-1301, USA
 
-kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en 
-                                    SUBDIR kmidimon )
+kde4_create_handbook( index.docbook 
+                      INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en 
+                      SUBDIR kmidimon )
 
-kde4_create_manpage( man-kmidimon.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})
+kde4_create_manpage( man-kmidimon.1.docbook 1 
+                     INSTALL_DESTINATION ${MAN_INSTALL_DIR} )
