=== debian/changelog ===
kmidimon (0.7.5-3) unstable; urgency=medium

  * Team upload.

  [ Olivier Humbert ]
  * Add a french translation (applied upstream). (Closes: #833360)

 -- James Cowgill <jcowgill@debian.org>  Thu, 04 Aug 2016 11:22:43 +0000

kmidimon (0.7.5-2) unstable; urgency=medium

  * Team upload.

  [ Radovan Birdic ]
  * Remove uninstall target from CMakeLists.txt, fixing FTBFS. (Closes: #803566)

  [ James Cowgill ]
  * Use canonical Vcs URLs.
  * Remove menu file per tech-ctte decision.
  * Bump standards to 3.9.8.

 -- James Cowgill <jcowgill@debian.org>  Sun, 24 Jul 2016 13:26:55 +0100

kmidimon (0.7.5-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Fix VCS URLs.
  * Remove obsolete DM-Upload-Allowed: yes flag.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 07 Oct 2013 14:26:54 +0100

kmidimon (0.7.4-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable.
  * debian/gbp.conf: Set compression to bzip2.

 -- Alessio Treglia <alessio@debian.org>  Thu, 10 Mar 2011 13:40:56 +0100
