=== debian/control ===
--- 
+++ 
@@ -11,11 +11,10 @@
  kdelibs5-dev,
  libdrumstick-dev,
  libasound2-dev
-Standards-Version: 3.9.1
-DM-Upload-Allowed: yes
+Standards-Version: 3.9.8
 Homepage: http://kmidimon.sourceforge.net
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/kmidimon.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/kmidimon.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/kmidimon.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/kmidimon.git
 
 Package: kmidimon
 Architecture: any
